include:
  - remote: 'https://teparak-dev.gitlab.io/devops/ci-templates/base/templates.yaml'
  - remote: 'https://teparak-dev.gitlab.io/devops/ci-templates/security-scan/templates.yaml'
  - remote: 'https://teparak-dev.gitlab.io/devops/ci-templates/image-builder/templates.yaml'

# Cron Trigger scan
sehedule-container-scanning:
  stage: schedule-security-scan
  only:
    - schedule 
  extends:
    - .use-trivy
    - .only-develop-branch
  variables:
    FULL_IMAGE_NAME: $IMAGE_REGISTRY_URL/$IMAGE_NAME:dev
    SEVERITY_FAILURE_LEVEL: MEDIUM,HIGH,CRITICAL

build-image:rebuild-dev-cache:
  needs: ["sehedule-container-scanning"]
  when: on_failure
  # cron: 0 4 * * * (4AM Everyday)
  # cron: 0 */8 * * * (Every 8 hours)
  stage: schedule-build
  only:
    - schedule 
  extends:
    - .build-image-no-cache
    - .only-develop-branch
